Description

The example seems to be running correctly, but creates the following error report.

Informer setup finished
Sent events, exiting
No handlers could be found for logger "rsb.transport.socket.BusServer" 

Associated revisions
Revision 4cc6f5fc - 07/19/2012 09:44 PM - J. Moringen
Setup logging in example/**/*.py
fixes #1073
    -  examples/client.py: setup logging to prevent potentially confusing

  output
    -  examples/informer.py: likewise
    -  examples/listener.py: likewise
    -  examples/server.py: likewise
    -  examples/protobuf/informer.py: likewise
    -  examples/protobuf/listener.py: likewise

History
#1 - 07/12/2012 10:35 AM - J. Wienke
- Subject changed from Tutorial "Sending Data" creates error report to Tutorials do not configure python logging -> warning message
- Status changed from New to Rejected
- Target version set to rsb-0.7

This is actually a "feature" of python's logging system. Internally in rsb-python we log a lot of things to debug or understand the processing of the
system. For this we use the python logging system, which allows to flexibly switch on and of the output of some or all of these logging messages. If no
one ever told the logging system what to do, then you see this warning. It is basically not an error. Just a warning that the logging system does not
know what to do.

Configuration of the logging system is, however, not the responsibility of rsb-python itself, as it could influence also the logging of other libraries used
by a client application or contradict with settings the client program has done before. So, the client program, in this case the example programs, has
the responsibility to decide on how to configure the logging system. Cf. e.g. to this: http://excid3.com/blog/no-handlers-could-be-found-for-logger/

@Jan: Should we add the basic configuration to all example programs to avoid confusing potential users?

#2 - 07/12/2012 10:38 AM - J. Wienke
- Status changed from Rejected to New
http://excid3.com/blog/no-handlers-could-be-found-for-logger/


No idea how I got the rejected.

#3 - 07/19/2012 09:45 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3749.
